lifecycle_delegate.h File Reference
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/archive.h>`
`#include <ubuntu/application/options.h>`
Include dependency graph for lifecycle_delegate.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void(* | u_on_application_resumed) (const UApplicationOptions *options, void *context)
| Prototype for the callback that is invoked whenever the app has been resumed. More...
typedef void(* | u_on_application_about_to_stop) (UApplicationArchive *archive, void *context)
| Prototype for the callback that is invoked whenever the app is about to be stopped. Applications can serialize their state to the supplied archive. More...
typedef void | UApplicationLifecycleDelegate
| Opaque type encapsulating all app-specific callback functions. More...

## Functions

UBUNTU_DLL_PUBLIC UApplicationLifecycleDelegate * | u_application_lifecycle_delegate_new ()
| Creates a new instance of the lifecycle delegate with an initial refernce count of 1. More...
UBUNTU_DLL_PUBLIC void | u_application_lifecycle_delegate_destroy (UApplicationLifecycleDelegate *delegate)
| Destroys an instance of the lifecycle delegate and releases all of its resources. More...
UBUNTU_DLL_PUBLIC void | u_application_lifecycle_delegate_ref (UApplicationLifecycleDelegate *delegate)
| Increments the reference count of the supplied lifecycle delegate. More...
UBUNTU_DLL_PUBLIC void | u_application_lifecycle_delegate_unref (UApplicationLifecycleDelegate *delegate)
| Decrements the reference count of the supplied lifecycle delegate and destroys it if the count reaches 0. More...
UBUNTU_DLL_PUBLIC void | u_application_lifecycle_delegate_set_application_resumed_cb (UApplicationLifecycleDelegate *delegate, u_on_application_resumed cb)
| Sets the resumed cb for the supplied delegate. More...
UBUNTU_DLL_PUBLIC u_on_application_resumed | u_application_lifecycle_delegate_get_application_resumed_cb (UApplicationLifecycleDelegate *delegate)
| Queries the resumed cb from the supplied delegate. More...
UBUNTU_DLL_PUBLIC void | u_application_lifecycle_delegate_set_application_about_to_stop_cb (UApplicationLifecycleDelegate *delegate, u_on_application_about_to_stop cb)
| Sets the about-to-stop cb for the supplied delegate. More...
UBUNTU_DLL_PUBLIC u_on_application_about_to_stop | u_application_lifecycle_delegate_get_application_about_to_stop_cb (UApplicationLifecycleDelegate *delegate)
| Queries the about-to-be-stopped cb from the supplied delegate. More...
UBUNTU_DLL_PUBLIC void | u_application_lifecycle_delegate_set_context (UApplicationLifecycleDelegate *delegate, void *context)
| Sets the cb context for the supplied delegate. More...
UBUNTU_DLL_PUBLIC void * | u_application_lifecycle_delegate_get_context (UApplicationLifecycleDelegate *delegate, void *context)
| Queries the cb context from the supplied delegate. More...